/* HEADER STYLES */
header {
    height: 30vh;
}

/* SECTION CONTACT */
.contact-list {
    height: 100px;
    width: 90%;
    font-size: 100%;
    font-weight: 500;
    margin: 0 5%;

    display: flex;
    justify-content: space-between;
    align-items: center;
}

.contact-block {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    
    height: 100%;
    width: 20%;
}

.contact-block span {
    display: block;
    text-align: center;
}

.contact-block ion-icon {
    display: block;
    text-align: center;
    font-size: 150%;
    color: var(--secondary-color);
    margin-bottom: 15px;
    min-height: 25px;
    min-width: 25px;
}

/* SECTION FORM */
#section-form {
    position: relative;
    background-color: var(--section-break-color);
}

form {
    margin: 100px 10% 0 10%;
    width: 80%;
}

.input-box {
    margin-bottom: 20px;
    width: 100%;
}

label {
    display: block;
    width: 100%;
    margin-bottom: 10px;
    font-weight: 400;
}

input[type="text"],
input[type="text"]:active,
input[type="text"]:focus,
input[type="email"],
input[type="email"]:active,
input[type="email"]:focus,
textarea,
textarea:active,
textarea:focus {
    display: block;
    width: 100%;
    max-width: 100%;
    border: 2px solid var(--main-color);
    border-radius: 10px;
    outline: none;
    padding: 10px 15px;
    background-color: #fff;
    transition: background-color 0.3s;
}

input[type="text"]:active,
input[type="text"]:focus,
input[type="email"]:active,
input[type="email"]:focus,
textarea:active,
textarea:focus {
    background-color: #f1f1f1;
}

textarea,
textarea:active,
textarea:focus {
    height: 200px;
    resize: none;
}

input[type="submit"],
input[type="submit"]:hover,
input[type="submit"]:active,
input[type="submit"]:focus {
    width: 100%;
    margin-top: 15px;
    border: none;
    border-radius: 10px;
    padding: 10px 15px;
    color: var(--font-color);
    cursor: pointer;
    transition: background-color 0.3s;
    color: #fff;    
}

input[type="submit"] {
    background-color: var(--main-color);
}

input[type="submit"]:hover,
input[type="submit"]:active,
input[type="submit"]:focus {
    background-color: var(--secondary-color);
}

/* FORM RESPONSES */
.error-msg {
    color: #ff3333;
    display: inline-block;
    margin-left: 30px;
}

.response {
    width: 100vw;
    text-align: center;
    margin-bottom: 30px;
    padding: 10px 0;
    font-size: 115%;
    font-weight: 400;
}

.error {
    background-color: #ff3333;
    color: #fff;
}

.success {
    background-color: #00ff00;
}

@media only screen and (max-width: 1140px) {
    /* SECTION CONTACT */
    .contact-block {
        font-size: 90%;
    }

    /* SECTION FORM */
    form {
        width: unset;
    }
}

@media only screen and (max-width: 720px) {
    /* SECTION CONTACT */
    .contact-list {
        flex-wrap: wrap;
        height: auto;
        gap: 20px;
    }

    .contact-block {
        height: 80px;
        width: 40%;
    }

    .contact-block:first-child {
        order: 3;
    }

    .contact-block:nth-child(2) {
        order: 1;
    }

    .contact-block:nth-child(3) {
        order: 2;
    }

    .contact-block:last-child {
        order: 4;
    }
}

@media only screen and (max-width: 380px) {
    /* SECTION CONTACT */
    .contact-block {
        font-size: 85%;
    }
}